%define ver    1.11
%define rel    4


Summary:       Portable Hardware Locality
Name:          hwloc
Version:       %{ver}.%{rel}
Release:       1%{?dist}%{?pext}
License:       BSD
Group:         System Environment/Libraries
Source0:       http://www.open-mpi.org/software/%{name}/v%{ver}/downloads/%{name}-%{version}.tar.bz2
URL:           http://www.open-mpi.org/software/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        The Open MPI Project
BuildRequires: libxml2-devel ncurses-devel numactl-devel

%description
The Portable Hardware Locality (hwloc) software package provides a portable
abstraction of the hierarchical topology of modern architectures, including
NUMA memory nodes, sockets, shared caches, cores and simultaneous multi-
threading. It also gathers various system attributes such as cache and memory
information as well as the locality of I/O devices. Hwloc primarily aims at
helping applications with gathering information about increasingly complex
parallel computing platforms.


%package       devel
Summary:       Development tools for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Requires:      libxml2-devel numactl-devel
Requires:      pkgconfig

%description   devel
The %{name}-devel package contains the libraries and header files for developing
software using %{name}.


%package       static
Summary:       Static libraries for %{name}
Group:         Development/Libraries
Requires:      %{name}-devel = %{version}-%{release}

%description   static
The %{name}-static package contains the statically linkable libraries for %{name}.


%prep
%setup -q


%build
%configure \
	CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing"   \
	CXXFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing" \
	--enable-static                                  \
	--enable-shared                                  \
	--disable-cairo

%{__make} V=1 %{?_smp_mflags}


%check
%{__make} check


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}/%{name}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

# Cleanup
%{__rm} -f  ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.{?,??}
%{__rm} -rf ${RPM_BUILD_ROOT}%{_docdir}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README VERSION
%doc doc/doxygen-doc/hwloc-a4.pdf
%{_bindir}/%{name}-annotate
%{_bindir}/%{name}-assembler
%{_bindir}/%{name}-assembler-remote
%{_bindir}/%{name}-bind
%{_bindir}/%{name}-calc
%{_bindir}/%{name}-compress-dir
%{_bindir}/%{name}-diff
%{_bindir}/%{name}-distances
%{_bindir}/%{name}-distrib
%{_bindir}/%{name}-gather-topology
%{_bindir}/%{name}-info
%{_bindir}/%{name}-ls
%{_bindir}/%{name}-patch
%{_bindir}/%{name}-ps
%{_bindir}/lstopo
%{_bindir}/lstopo-no-graphics
%{_libdir}/%{name}
%{_libdir}/libhwloc.so.*
%{_sbindir}/%{name}-dump-hwdata
%{_datadir}/%{name}
%{_mandir}/man1/*.1*
%{_mandir}/man7/*.7*

%files devel
%defattr(-,root,root)
%doc doc/examples/*.{c,cpp}
%{_includedir}/%{name}.h
%{_includedir}/%{name}
%{_libdir}/libhwloc.la
%{_libdir}/libhwloc.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*.3*

%files static
%defattr(-,root,root)
%{_libdir}/libhwloc.a


%changelog
* Wed Sep 21 2016 Peter Pramberger <peterpramb@member.fsf.org> - 1.11.4-1
- Initial build
